import { mdiHarddisk } from "@mdi/js";
import { Icon } from "@mdi/react";
import { Avatar, ListItem, ListItemAvatar, ListItemText } from "@mui/material";
import { filesize } from "filesize";
import { VMFileDisk } from "../../api/VMApi";

export function VMDiskFileWidget(p: { disk: VMFileDisk }): React.ReactElement {
  return (
    <ListItem>
      <ListItemAvatar>
        <Avatar>
          <Icon path={mdiHarddisk} />
        </Avatar>
      </ListItemAvatar>
      <ListItemText
        primary={p.disk.name}
        secondary={`${p.disk.format} - ${filesize(p.disk.size)}`}
      />
    </ListItem>
  );
}
